\name{mapperHits-class}
\docType{class}
\alias{mapperHits-class}
\alias{query,mapperHits-method}
\alias{hits,mapperHits-method}
\alias{show,mapperHits-method}
\title{Class "mapperHits" -- holds collection of hits from MAPPER }
\description{A data frame and some metadata about a MAPPER query from \url{http://genome.ufl.edu/mapper}. The data frame holds the predicted transcription factor binding sites from MAPPER.}
\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("mapperHits", ...)}.
These are annotated data frames.
}
\section{Slots}{
	 \describe{
    \item{\code{query}:}{character string that provides information on the
  			query generating the object }
    \item{\code{hits}:}{Object of class \code{"data.frame"} providing information
			on the sequence and other properties of each hit. }
  	}
}
\section{Methods}{
  \describe{
    \item{query}{\code{signature(x = "mapperHits")}: ... }
    \item{hits}{\code{signature(x = "mapperHits")}: ... }
    \item{show}{\code{signature(object = "mapperHits")}: ... }
	 }
}
\references{ \url{http://genome.ufl.edu/mapper/} }
\author{ VJ Carey <stvjc@channing.harvard.edu> }

\examples{
# see readMAPPER
}

\seealso{
	\code{\link{readMAPPER}}.
}

\keyword{classes}
